For the complete documentation index, see llms.txt. This page is also available as Markdown.

Company Information

Retrieve company information for a given consent.

Get company information

get

Retrieves company information for the specified consent.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

βœ… Supported

Spiris

Spiris

βœ… Supported

Tripletex

Tripletex

βœ… Supported

Visma e-conomic

Visma e-conomic

πŸ“ž Not supported / contact us

Billy

Billy

βœ… Supported

Visma Dinero

Visma Dinero

βœ… Supported

Procountor

Procountor

πŸ“ž Not supported / contact us

Visma Netvisor

Visma Netvisor

πŸ“ž Not supported / contact us

Microsoft Business Central

Microsoft Business Central

βœ… Supported

Exact Online

Exact Online

βœ… Supported

QuickBooks

QuickBooks

βœ… Supported

Xero

Xero

βœ… Supported

Bokio

Bokio

πŸ“ž Not supported / contact us

Kleer

Kleer

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

Header parameters
x-correlation-idstring Β· uuidOptional

Unique identifier used to correlate and trace this request.

Responses
200

Returns the requested company information.

application/json

Represents company information details in the accounting system.

idstring Β· nullableOptional

Unique identifier for the company.

referencestring Β· nullableOptional

Reference code for the company.

phonestring Β· nullableOptional

Phone number of the company.

emailstring Β· nullableOptional

Email address of the company.

faxstring Β· nullableOptional

Fax number of the company.

websitestring Β· nullableOptional

Website URL of the company.

get/api/v1/consents/{consentId}/companyinformation
GET /accounting/api/v1/consents/{consentId}/companyinformation HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
Accept: */*
{
  "id": "550e8400-e29b-41d4-a716-446655440005",
  "reference": "COMP-001",
  "partyIdentification": [
    {
      "id": "SE123456789001",
      "schemeId": "SE:ORGNR"
    }
  ],
  "partyName": {
    "name": "Northwind Trading Ltd",
    "languageId": "ENG"
  },
  "postalAddress": {
    "buildingNumber": null,
    "streetName": "Main Street 1",
    "additionalStreetName": null,
    "cityName": "Stockholm",
    "postalZone": "111 22",
    "country": {
      "identificationCode": "SE",
      "name": "Sweden"
    }
  },
  "phone": "+46-8-123456",
  "email": "info@northwind.example.com",
  "fax": null,
  "website": "https://northwind.example.com",
  "partyLegalEntity": null,
  "contacts": [],
  "paymentMeans": [
    {
      "paymentChannelCode": "IBAN",
      "payeeFinancialAccount": "SE3550000000054910000003",
      "financialAccount": {
        "id": "SE3550000000054910000003",
        "financialInstitution": "Swedbank"
      }
    }
  ]
}

Last updated

Was this helpful?